> ## Documentation Index
> Fetch the complete documentation index at: https://developer.vanta.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get a connected integration

> Gets details for a specific integration by connection ID.



## OpenAPI

````yaml /reference/manage-vanta.json get /integrations/{integrationId}
openapi: 3.0.0
info:
  title: Manage Vanta
  version: 1.0.0
  description: >-
    The REST API lets customers query and mutate Vanta's data. Use this API to
    automate bulk actions, query data for custom workflows and dashboards, and
    bolster your security operations


    **Note for Vanta Gov (FedRAMP) customers:** Select `Vanta Gov (FedRAMP)`
    from the server dropdown to issue requests against
    `https://api.vanta-gov.com`. The OAuth token URL shown below defaults to the
    commercial host — replace it with `https://api.vanta-gov.com/oauth/token`.
  termsOfService: https://www.vanta.com/terms
  license:
    name: UNLICENSED
  contact:
    name: API Support
    url: https://help.vanta.com/
    email: support@vanta.com
servers:
  - url: https://api.vanta.com/v1
    description: Vanta (Commercial)
  - url: https://api.vanta-gov.com/v1
    description: Vanta Gov (FedRAMP)
security: []
paths:
  /integrations/{integrationId}:
    get:
      tags:
        - Integrations
      summary: Get a connected integration
      description: Gets details for a specific integration by connection ID.
      operationId: GetConnectedIntegration
      parameters:
        - description: Unique identifier of the integration
          in: path
          name: integrationId
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Ok
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Integration'
              examples:
                Example 1:
                  value:
                    integrationId: asana
                    displayName: Asana
                    resourceKinds:
                      - AsanaAccount
                      - AsanaTask
                    connections:
                      - connectionId: 62ffd6793ef7978318baefa8
                        isDisabled: false
                        connectionErrorMessage: null
                      - connectionId: 62fed1234ef7978318baefa9
                        isDisabled: true
                        connectionErrorMessage: Authorization Error connecting to Asana
      security:
        - bearerAuth: []
components:
  schemas:
    Integration:
      properties:
        integrationId:
          type: string
          description: A unique identifier for the Integration.
        displayName:
          type: string
          description: The Integration's display name.
        resourceKinds:
          items:
            type: string
          type: array
          description: >-
            A list of string identifiers for the resource types ingested by the
            Integration.
        connections:
          items:
            $ref: '#/components/schemas/Connection'
          type: array
          description: A list of installed Connections.
      required:
        - integrationId
        - displayName
        - resourceKinds
        - connections
      type: object
      additionalProperties: false
    Connection:
      properties:
        connectionId:
          type: string
          description: The unique identifier for the Connection.
        isDisabled:
          type: boolean
          description: Whether the Connection has been disabled by Vanta.
        connectionErrorMessage:
          type: string
          nullable: true
          description: An error message that may accompany disabled Connections.
      required:
        - connectionId
        - isDisabled
        - connectionErrorMessage
      type: object
      additionalProperties: false
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````